const g_reminderFoxBundle = document.getElementById("reminderFox-bundle");  
function reminderFox_saveOptions() {
		var newTodo = window.arguments[0].todo;
		
		var desc = document.getElementById("newTodoText");
		newTodo.summary = desc.value;

		var important = document.getElementById("importantTodo");	
		var importantVal =  important.getAttribute("checked" );
		if ( importantVal == true || importantVal == "true" ) { 
			newTodo.priority = REMINDER_PRIORITY_IMPORTANT;
		}
		else {
			newTodo.priority = REMINDER_PRIORITY_NORMAL;
		}
		
		var showInTooltip = document.getElementById("showInTooltip");
		var showInTooltipVal =  showInTooltip.getAttribute("checked" );
		if ( showInTooltipVal == true || showInTooltipVal == "true" ) { 
			newTodo.showInTooltip = true;
		}
		else {
			newTodo.showInTooltip = false;
		}	
		
		var notesText = document.getElementById("notesText");
		var notes =notesText.value;
		if ( notes != null ) {
			notes = reminderFox_trim( notes );
			if ( notes != "" ) {
				newTodo.notes = notes;
			}
			else { 
				newTodo.notes = null;
			}			
		} 		
		
		window.arguments[0].addTodo = true;

		window.close();

}

function reminderFox_toggleNotes() {
	//openURL('http://www.csh.rit.edu/~tommut');
	var notesToggleButton = document.getElementById("notesToggle");
	var notesText = document.getElementById("notesText");
	if ( notesToggleButton.checked	 ) {
		notesText.setAttribute("hidden", "true");	
		notesToggleButton.setAttribute("tooltiptext", g_reminderFoxBundle.getString("rf.options.notes.tooltip.show"));	
	}
	else {
		notesText.setAttribute("hidden", "false");	
//		if ( notesText.value == "" ) {
//			notesText.focus();   
//		}
		notesToggleButton.setAttribute("tooltiptext", g_reminderFoxBundle.getString("rf.options.notes.tooltip.hide"));	
	}
	sizeToContent();	
}

function loadTodoOptions() {
		var newTodo = window.arguments[0].todo;
		var editing = window.arguments[0].editing;

		if ( editing ) {
			document.title = 	g_reminderFoxBundle.getString("rf.options.todo.edit.title");
		}
		else {
			document.title = 	g_reminderFoxBundle.getString("rf.options.todo.add.title");
		}		
		
		var desc = document.getElementById("newTodoText");
		desc.value = newTodo.summary;
		
		desc.focus();
		
		
		var notesToggleButton = document.getElementById("notesToggle");
		var notesText = document.getElementById("notesText");		
		if ( newTodo.notes != null ) {
			notesText.setAttribute("hidden", "false");	
			notesToggleButton.setAttribute( "checked", true );
			notesText.value = newTodo.notes;
			notesToggleButton.setAttribute("tooltiptext", g_reminderFoxBundle.getString("rf.options.notes.tooltip.hide"));	
			sizeToContent();			
		}
		else {
			notesText.setAttribute("hidden", "true");	
			notesToggleButton.removeAttribute( "checked" );	
			notesToggleButton.setAttribute("tooltiptext", g_reminderFoxBundle.getString("rf.options.notes.tooltip.show"));	
		}		
		
		var important = document.getElementById("importantTodo");	
		if (  newTodo.priority == REMINDER_PRIORITY_IMPORTANT) { 
			important.setAttribute( "checked", true );
		}
		else {
			important.setAttribute( "checked", false );
		}
			
		var showInTooltip = document.getElementById("showInTooltip");	
		if ( newTodo.showInTooltip == true ) {
				showInTooltip.setAttribute( "checked", true );
		}
		else {
				showInTooltip.setAttribute( "checked", false );
		}
		
		
}
